%{?nodejs_find_provides_and_requires}

%global packagename conventional-changelog-codemirror
%global enable_tests 1

Name:		nodejs-conventional-changelog-codemirror
Version:	0.1.0
Release:	1%{?dist}
Summary:	A conventional-changelog CodeMirror preset

License:	ISC
URL:		https://github.com/stevemao/conventional-changelog-codemirror
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# license file
Source1:	LICENSE-ISC.txt

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(q)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(conventional-changelog-core)
%endif

%description
A conventional-changelog CodeMirror preset


%prep
%autosetup -n package
cp -p %{SOURCE1} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js templates/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE-ISC.txt
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun May  7 2017 Jared Smith <jsmith@fedoraproject.org> - 0.1.0-1
- Initial packaging
